- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::PolygonOffset Class Reference

PolygonOffset - encapsulates the OpenGL glPolygonOffset state. More...

Inheritance diagram for osg::PolygonOffset:

[legend]
List of all members.

## Public Member Functions
| PolygonOffset ()
| PolygonOffset (float factor, float units)
| PolygonOffset (const PolygonOffset &po, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PolygonOffset, POLYGONOFFSET)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
void | setFactor (float factor)
float | getFactor () const
void | setUnits (float units)
float | getUnits () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~PolygonOffset ()
## Protected Attributes
float | _factor
float | _units

## Detailed Description

PolygonOffset - encapsulates the OpenGL glPolygonOffset state.

## Constructor & Destructor Documentation

PolygonOffset::PolygonOffset | ( |  | ) |

PolygonOffset::PolygonOffset | ( | float | factor,
|  | float | units
| ) |

osg::PolygonOffset::PolygonOffset | ( | const PolygonOffset & | po,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

PolygonOffset::~PolygonOffset | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void PolygonOffset::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::PolygonOffset::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

float osg::PolygonOffset::getFactor | ( |  | ) | const`[inline]`

virtual bool osg::PolygonOffset::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

float osg::PolygonOffset::getUnits | ( |  | ) | const`[inline]`

osg::PolygonOffset::META_StateAttribute | ( | osg | ,
|  | PolygonOffset | ,
|  | POLYGONOFFSET |
| ) |

void osg::PolygonOffset::setFactor | ( | float | factor | ) | `[inline]`

void osg::PolygonOffset::setUnits | ( | float | units | ) | `[inline]`

## Member Data Documentation

float osg::PolygonOffset::_factor`[protected]`

float osg::PolygonOffset::_units`[protected]`

The documentation for this class was generated from the following files:

- PolygonOffset
- PolygonOffset.cpp